MemtableBufferAllocator (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.utils.memory

## Class MemtableBufferAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtableAllocator
  - - org.apache.cassandra.utils.memory.MemtableBufferAllocator

- Direct Known Subclasses:
    HeapPool.Allocator, SlabAllocator

      public abstract class MemtableBufferAllocator
      extends MemtableAllocator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `MemtableAllocator.DataReclaimer, MemtableAllocator.SubAllocator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `NO_OP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MemtableBufferAllocator(MemtableAllocator.SubAllocator onHeap, MemtableAllocator.SubAllocator offHeap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.nio.ByteBuffer` | `allocate(int size, OpOrder.Group opGroup)`
    `protected AbstractAllocator` | `allocator(OpOrder.Group writeOp)`
    `Cell` | `clone(Cell cell, CFMetaData cfm, OpOrder.Group writeOp)`
    `CounterCell` | `clone(CounterCell cell, CFMetaData cfm, OpOrder.Group writeOp)`
    `DecoratedKey` | `clone(DecoratedKey key, OpOrder.Group writeOp)`
    `DeletedCell` | `clone(DeletedCell cell, CFMetaData cfm, OpOrder.Group writeOp)`
    `ExpiringCell` | `clone(ExpiringCell cell, CFMetaData cfm, OpOrder.Group writeOp)`

    - ### Methods inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `isLive, offHeap, onHeap, reclaimer, setDiscarded, setDiscarding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemtableBufferAllocator

          protected MemtableBufferAllocator(MemtableAllocator.SubAllocator onHeap,
                                 MemtableAllocator.SubAllocator offHeap)

  - ### Method Detail

    - #### clone

          public Cell clone(Cell cell,
                   CFMetaData cfm,
                   OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### clone

          public CounterCell clone(CounterCell cell,
                          CFMetaData cfm,
                          OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### clone

          public DeletedCell clone(DeletedCell cell,
                          CFMetaData cfm,
                          OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### clone

          public ExpiringCell clone(ExpiringCell cell,
                           CFMetaData cfm,
                           OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### clone

          public DecoratedKey clone(DecoratedKey key,
                           OpOrder.Group writeOp)

      Specified by:
        `clone` in class `MemtableAllocator`

    - #### allocate

          public abstract java.nio.ByteBuffer allocate(int size,
                                     OpOrder.Group opGroup)

    - #### allocator

          protected AbstractAllocator allocator(OpOrder.Group writeOp)

Copyright © 2014 The Apache Software Foundation